#!/usr/bin/env python
# -*- coding: utf-8 -*-

# 文字データの音声化用
import os
import subprocess
import json
import random
import datetime
from TextToSpeech_Jtalk import TextToSpeech_Jtalk
from GetNews import GetNews

# ■ランダムに話しかけてくるプログラム■
def RandomSpeech():
            
    #ランダムに数字を取得(フレーズ用)
    numRF = random.randint(1,21)
    print(numRF)
    # フレーズのリストを取得する
    f = open('phraselist.json') # jsonファイルを開く
    t = json.load(f)

    # 取得した数字が21の場合はニュースを読み上げ、それ以外はテキストを読み上げる
    if numRF == 21:
        tmpTxt = GetNews()

        for rd in tmpTxt['entries']:
            tmpTxt=rd['title']
            TextToSpeech_Jtalk(tmpTxt.encode('utf-8'),'resVoice.wav')
            print(tmpTxt)

    else:
        # リストから引数のintRの番号のデータを取得する
        tmpTxt = t[str(numRF)] # 引数のintRは整数型なのでstrで形式変換する

        # 文字データの音声化/発声
        TextToSpeech_Jtalk(tmpTxt.encode('utf-8'),'tmpvoice.wav')



